package org.ow2.easywsdl.tooling.xsd2xml;

import javax.xml.namespace.QName;

import org.jdom.Element;
import org.ow2.easywsdl.schema.api.SchemaException;
import org.ow2.easywsdl.schema.api.absItf.AbsItfElement;
import org.ow2.easywsdl.schema.org.w3._2001.xmlschema.FormChoice;

public abstract class XSD2XML {

	public static XSD2XML newInstance() {
		return new XSD2XMLImpl();
	}
	
    public abstract String printXml(final AbsItfElement e, Object value) throws SchemaException;
    
    public abstract org.jdom.Element generateElement(final AbsItfElement eIn, final Object values) throws SchemaException;
    
    
    public abstract org.jdom.Element addMinOccursEqual0OrArrayElement(final AbsItfElement childDefinition, final org.jdom.Element parentElement) throws SchemaException;
    
}
